/*
 * Copyright (c) 2004, Andy Frank
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met:
 *
 *  - Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *  - Redistributions in binary form must reproduce the above copyright 
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the distribution.
 *   
 *  - Neither the name of Andy Frank nor the names of its 
 *    contributors may be used to endorse or promote products derived 
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
 */ 
package com.andyfrank.mame.ui;
 
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;

/**
 * Application Driver.
 */
public class Main
{
////////////////////////////////////////////////////////////////
// Constructor
////////////////////////////////////////////////////////////////

  public Main()
  {    
  }  
  
////////////////////////////////////////////////////////////////
// Driver
////////////////////////////////////////////////////////////////

  public static void main(String[] args)
  {
    try
    {
      // Make backup copy of rominfo.xml
      backup();  
    }
    catch (Exception e)
    {
      System.out.println("[WARNING] Backup failed");
      e.printStackTrace();
    }    
    
    Dimension size = Toolkit.getDefaultToolkit().getScreenSize();    
    Shell shell = new Shell();
    
    Frame frame = new Frame("ArcadeUI 0.4");
    frame.add(shell, BorderLayout.CENTER);
    frame.addWindowListener(new WindowHandler());
    //frame.setBounds(0,0,size.width,size.height);
    frame.setBounds(0,0,1024,768);
    frame.setVisible(true);
    
    shell.requestFocus();
    //list.notifyListeners();
  }  
    
  static void backup() 
    throws Exception
  {
    InputStream in = new FileInputStream("rominfo.xml");
    OutputStream out = new FileOutputStream("rominfo.bak.xml");
    
    byte[] buf = new byte[1024];
    int len;
    while ((len = in.read(buf)) > 0)
      out.write(buf, 0, len);
    in.close();
    out.close();  
  }
  
////////////////////////////////////////////////////////////////
// WindowListener
////////////////////////////////////////////////////////////////

  static class WindowHandler implements WindowListener
  {
    public void windowClosing(WindowEvent e) 
    { 
      System.exit(0); 
    }
    
    public void windowActivated(WindowEvent e) {}          
    public void windowClosed(WindowEvent e) {}
    public void windowDeactivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}
  }
}

